Bug 198055 - lm_sensors should be rebuild against libsysfs
Summary: lm_sensors should be rebuild against libsysfs
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: lm_sensors   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-07-08 19:57 UTC by Robert Scheck
Modified: 2015-03-05 01:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-10 02:43:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Scheck 2006-07-08 19:57:27 UTC
Description of problem:
# rpm -Uvh /usr/src/rpm/RPMS/i386/sysfsutils-2.0.0-3.i386.rpm \
           /usr/src/rpm/RPMS/i386/libsysfs-2.0.0-3.i386.rpm \
           /usr/src/rpm/RPMS/i386/libsysfs-devel-2.0.0-3.i386.rpm
error: Failed dependencies:
      libsysfs.so.1 is needed by (installed) lm_sensors-2.10.0-2.i386
      sysfsutils = 1.3.0 is needed by (installed) sysfsutils-devel-1.3.0-2.i386
#

The insane packaging of sysfsutils (second error line) was filed in bug #198054

Version-Release number of selected component (if applicable):
lm_sensors-2.10.0-2

How reproducible:
Everytime, see above.

Actual results:
Errors when installing.

Expected results:
lm_sensors should be rebuild against the new libsysfs package and require 
libsysfs-devel instead of sysfsutils-devel

Comment 1 Robert Scheck 2006-07-08 20:01:44 UTC
The following patch should resolve the issue mentioned above:

--- lm_sensors.spec       2006-06-05 23:53:11.000000000 +0200
+++ lm_sensors.spec.rsc   2006-07-08 22:09:03.000000000 +0200
@@ -20,7 +20,7 @@
 Requires: /usr/sbin/dmidecode
 Requires(preun): chkconfig
 Requires(post): chkconfig
-BuildRequires: kernel-headers >= 2.2.16, bison, sysfsutils-devel, flex
+BuildRequires: kernel-headers >= 2.2.16, bison, libsysfs-devel, flex
 ExclusiveArch: alpha %{ix86} x86_64

 %description

Comment 2 Warren Togami 2006-07-10 02:43:55 UTC
fixed, should be in rawhide tomorrow.


Note You need to log in before you can comment on or make changes to this bug.